## indi-sbig 1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.7)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

Include (CheckCXXSourceCompiles)
include (MacroOptionalFindPackage)
include (MacroLogFeature)
include (MacroBoolTo01)
include (CheckIncludeFiles)

find_package(USB REQUIRED)
find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(SBIG REQUIRED)
find_package(ZLIB REQUIRED)

macro_optional_find_package(Nova)
macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://libnova.sourceforge.net" FALSE "0.12.1" "Needed by INDI.")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif (NOVA_FOUND)

########### SBIG ###########
set(indisbig_SRCS
   ${CMAKE_SOURCE_DIR}/sbigcam.cpp
   )
   
add_executable(indi_sbig_ccd ${indisbig_SRCS})

target_link_libraries(indi_sbig_ccd ${INDI_LIBRARIES} ${INDI_DRIVER_LIBRARIES} ${CFITSIO_LIBRARIES} ${SBIG_LIBRARIES} z)

if (NOVA_FOUND)
  target_link_libraries(indi_sbig_ccd ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_sbig_ccd RUNTIME DESTINATION bin )

install(FILES indi_sbig.xml DESTINATION ${DATA_INSTALL_DIR})

## indi-sbig 2.1

=== debian/changelog ===
indi-sbig (2.1-2) unstable; urgency=medium

  * debian/control: limit architectures to same as libsbig
  * debian/control: move to debian-astro team
  * debian/control: add VCS-*

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 Aug 2022 18:11:58 +0200

indi-sbig (2.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 23 Dec 2021 11:11:58 +0000

## indi-sbig 2.1%2B20221220234924

=== debian/changelog ===
indi-sbig (2.1+20221220234924-4build2) plucky; urgency=medium

  * Rebuild against latest libsbig

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Jan 2025 10:09:28 -0500

indi-sbig (2.1+20221220234924-4build1) plucky; urgency=medium

  * No-change rebuild for libsbig4t64

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 05 Nov 2024 21:17:04 +0000

indi-sbig (2.1+20221220234924-4) unstable; urgency=medium

  * do own builds

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Sep 2024 23:49:35 +0200

indi-sbig (2.1+20221220234924-3) unstable; urgency=medium

  * debian/control: remove explicit dependency to libsbig4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 20 Sep 2024 18:49:35 +0200

indi-sbig (2.1+20221220234924-2) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Sep 2024 23:49:35 +0200

indi-sbig (2.1+20221220234924-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.1

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Dec 2022 23:49:35 +0000

## indi-sbig 2.1+20221220234924

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_sbig CXX C)

set (SBIG_VERSION_MAJOR 2)
set (SBIG_VERSION_MINOR 1)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(SBIG REQUIRED)
find_package(Threads REQUIRED)
find_package(USB1 REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_sbig.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_sbig.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${SBIG_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

include(CMakeCommon)

############# SBIG CCD ###############
if (CFITSIO_FOUND)

set(sbigccd_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/sbig_ccd.cpp
)

if (APPLE)
    set(sbigccd_SRCS
        ${sbigccd_SRCS}
        ${CMAKE_CURRENT_SOURCE_DIR}/ezusb.c)
endif()

add_executable(indi_sbig_ccd ${sbigccd_SRCS})

target_link_libraries(indi_sbig_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${SBIG_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${USB1_LIBRARIES})

install(TARGETS indi_sbig_ccd RUNTIME DESTINATION bin)

endif (CFITSIO_FOUND)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_sbig.xml DESTINATION ${INDI_DATA_DIR})

=== debian/control ===
Source: indi-sbig
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libsbig-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-sbig
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-sbig.git

Package: indi-sbig
Architecture: amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libsbig4
Description: INDI driver for SBIG cameras
 This package contains an INDI driver for SBIG Santa Barbra Instrument
 Group CCD cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
